var request = require('./request.js')

module.exports = {

  querySignSummary(teacherId, classId) {
    var params = {
      teacherId: teacherId,
      classId: classId
    }

    return request.get('/preschool/wxsite/teacher/querySignSummary.do', params)
  },
  // 获取所有学生
  getAllStudent(classId) {
    var params = {
      classId: classId
    }
    return request.get('/preschool/wxsite/teacher/getAllStudent.do', params)
  },
  // 签到接口
  signIn(teacherId, classId, studentIds) {
    var params = {
      teacherId: teacherId,
      classId: classId,
      studentIds: studentIds
    }

    return request.post('/preschool/wxsite/teacher/signin.do', params)
  }

}